## editorconfig-geany-0.2.1.tar.gz

=== Makefile ===
# Copyright (c) 2011-2012 EditorConfig Team
# All rights reserved.
#
# This file is part of EditorConfig-geany.

# EditorConfig-geany is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 2 of the License, or (at your option) any
# later version.

# EditorConfig-geany is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
# details.

# You should have received a copy of the GNU General Public License along with
# EditorConfig-geany. If not, see <http://www.gnu.org/licenses/>.

# Makefile for editorconfig-geany

ifndef EDITORCONFIG_PREFIX
	EDITORCONFIG_PREFIX = /usr/local
endif
GEANY_PLUGIN_LIBDIR = `pkg-config --variable=libdir geany`/geany

CC = cc
CFLAGS = -Wall -Wextra -O2 -g -fPIC `pkg-config --cflags geany` -I${EDITORCONFIG_PREFIX}/include
LDFLAGS = -shared `pkg-config --libs geany` -L ${EDITORCONFIG_PREFIX}/lib -leditorconfig
RM = rm -f
TARGET_LIB = editorconfig-geany.so

SRCS = editorconfig-geany.c
OBJS = $(SRCS:.c=.o)

.PHONY: all
all: ${TARGET_LIB}

$(TARGET_LIB): $(OBJS)
	$(CC) -o $@ $^ ${LDFLAGS}

$(SRCS:.c=.d):%.d:%.c
	$(CC) $(CFLAGS) -MM $< >$@

include $(SRCS:.c=.d)

.PHONY: clean
clean:
	-${RM} ${TARGET_LIB} ${OBJS} $(SRCS:.c=.d)

.PHONY: install
install: all
	install -d $(DESTDIR)$(prefix)$(GEANY_PLUGIN_LIBDIR)
	install $(TARGET_LIB) $(DESTDIR)$(prefix)$(GEANY_PLUGIN_LIBDIR)/$(TARGET_LIB)

=== debian/changelog ===
editorconfig-geany (1) unstable; urgency=low

  * Initial Release.

 -- Andreas Wirooks <andreas.wirooks@1und1.de>  Mon, 07 May 2018 11:21:29 +0200

=== debian/control ===
Source: editorconfig-geany
Section: devel
Priority: optional
Maintainer: Andreas Wirooks <andreas.wirooks@1und1.de>
Build-Depends: debhelper (>= 9), pkg-config, libgtk-3-dev, libeditorconfig-dev, geany, geany-common
Standards-Version: 3.9.5
Homepage: https://github.com/editorconfig/editorconfig-geany
Vcs-Git: git@github.com:editorconfig/editorconfig-geany.git
Vcs-Browser: https://github.com/editorconfig/editorconfig-geany

Package: editorconfig-geany
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EditorConfig support for Geany
 EditorConfig support for Geany.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export EDITORCONFIG_PREFIX=/usr

# main packaging script based on dh7 syntax
%:
	dh $@ 

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
